Bug 52184 - /usr/sbin/pxe dumps core when request comes
Summary: /usr/sbin/pxe dumps core when request comes
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pxe (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
high
Target Milestone: ---
Assignee: Elliot Lee
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-21 14:56 UTC by joe
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-08 15:39:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description joe 2001-08-21 14:56:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; SunOS 5.8 sun4u)

Description of problem:
i have pxe running on a install server.  when the client trys to boot
pxe on the install server dumps core.

[root@brighton /root]# gdb /usr/sbin/pxe core
GNU gdb 5.0rh-5 Red Hat Linux 7.1
Copyright 2001 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...(no debugging symbols
found)...
Core was generated by `/usr/sbin/pxe'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /usr/lib/libpxelib.so...(no debugging symbols
found)...done.
Loaded symbols for /usr/lib/libpxelib.so
Reading symbols from /lib/libdl.so.2...done.
Loaded symbols for /lib/libdl.so.2
Reading symbols from /usr/lib/libstdc++-libc6.2-2.so.3...done.
Loaded symbols for /usr/lib/libstdc++-libc6.2-2.so.3
Reading symbols from /lib/i686/libm.so.6...done.
Loaded symbols for /lib/i686/libm.so.6
Reading symbols from /lib/i686/libc.so.6...done.
Loaded symbols for /lib/i686/libc.so.6
Reading symbols from /lib/ld-linux.so.2...done.
Loaded symbols for /lib/ld-linux.so.2
Reading symbols from /usr/lib/libpxeParser.so...done.
Loaded symbols for /usr/lib/libpxeParser.so
#0  0x40030782 in apstring::length () at eval.c:41
41      eval.c: No such file or directory.
        in eval.c
(gdb) 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  server: run /usr/sbin/pxe
2.  client: turn on
3.  server: pxe dumps core
	

Additional info:

Comment 1 Elliot Lee 2002-03-08 15:39:18 UTC
blurgh, old bug no way to reproduce...


Note You need to log in before you can comment on or make changes to this bug.